Skip to main content
GET
List wallet transactions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

take
number | null
default:50
Required range: 0 <= x <= 100
skip
number | null
default:0
Required range: x >= 0
type
enum<string>

Filter transactions by their type.

Available options:
credit_free,
credit_paid,
debit
Example:

"credit_paid"

amount
number | null

Filter transactions by their exact amount, expressed in the currency's smallest unit.

Example:

12000

invoice_id
string

Filter transactions by the invoice they are attached to.

Example:

"inv_QalW2vTAdkR6IY"

comment
string

Filter transactions whose comment contains this value, case-insensitive.

Example:

"Offline payment received"

Response

200 - application/json

Paginated list of wallet transactions

meta
object
required
data
object[]
required

List of WalletTransaction.